\begin{table}[htb!]
    \centering
    \begin{tabular}{l l l}
        \toprule
        Test Case &Debug &Release\\
        \midrule
        Static interrupt kernel &[~~1.14,~~~1.20,~~5.24] \textmu s &[170,~~~170,~~~200] ns\\
        Interrupt kernel handler &[10.2,~~10.2,~~10.6] \textmu s &[530,~~~534,~~~670] ns\\
        Semaphore event &[66.9,~~67.6,~~77.6] \textmu s &[~~~~3.8,~~~~3.8,~~~~3.8] \textmu s\\
        \bottomrule
    \end{tabular}
    \caption[Timing statistics on an STM32F446RE microcontroller running at 168 Mhz.]{Timing statistics on an STM32F446RE microcontroller running at 168 Mhz. [min, mean, max], 100 samples each.}
    \label{tab:timing-stats}
\end{table}
